%bcond_with tests

%global srcname platformdirs
%global common_description %{expand:
A small Python module for determining appropriate platform-specific dirs, e.g.
a "user data dir".}

Name:           python-%{srcname}
Version:        3.9.1
Release:        2%{?dist}
Summary:        Python module for determining appropriate platform-specific dirs
License:        MIT
URL:            https://github.com/platformdirs/platformdirs
Source0:        %pypi_source
BuildArch:      noarch


%description %{common_description}
%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3dist(pip) >= 19
BuildRequires:  python3dist(packaging)
BuildRequires:  python3dist(toml)
BuildRequires:  python3dist(setuptools) >= 40.8
BuildRequires:  python3dist(wheel)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-hatch-vcs
BuildRequires:  python3-hatchling

Requires:  python3dist(toml)
Requires:  python3dist(wheel)
Requires:  python3-hatch-vcs
Requires:  python3-hatchling

%description -n python3-%{srcname} 

%package -n python3-%{srcname}-doc
Summary:        %{summary}
BuildArch:      noarch
Requires:       python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-doc %{common_description}

%prep
%autosetup -n %{srcname}-%{version}

sed -r -i '/^[[:blank:]]*"pytest-cov\b/d' pyproject.toml
sed -r -i '/^[[:blank:]]*"covdefaults\b/d' pyproject.toml

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%if %{with tests}
%pytest
%else
%pyproject_check_import
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%license %{python3_sitelib}/%{srcname}-%{version}.dist-info/licenses/LICENSE

%files -n python3-%{srcname}-doc -f %{pyproject_files}
%doc README.rst

%changelog
* Mon Sep 11 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 3.10.0-1
- Initial package.